%define with_spell 1

%{?_with_spell: %{expand: %%define with_spell 1}}
%{?_without_spell: %{expand: %%define with_spell 0}}

Summary:	A USENET newsreader for GNOME
Summary(de):	Ein USENET Nachrichtenbetrachter für GNOME
Name:		pan
Version:	0.139
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/News
URL:		http://pan.rebelbase.com/
Source0:	http://pan.rebelbase.com/download/releases/%{version}/source/%{name}-%{version}.tar.xz
Patch02:	02_windowsmacosx.dpatch
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Source4:	%{name}-48.png

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{with_spell}
BuildRequires:  gtkspell-devel
%endif
BuildRequires:	gtk+2-devel >= 2.0.5
BuildRequires:	gmime-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool

%description
This is PAN, a powerful and user-friendly USENET newsreader for GNOME.  
The latest info and versions of Pan can always
be found at http://pan.rebelbase.com/.

%description -l de
Dies ist PAN, ein außergewähnlicher und benutzerfreundlicher USENET 
Newsreader für GNOME.

Die neuesten Informationen und Versionen von Pan finden sie unter:

http://pan.rebelbase.com/ 

%prep
%setup -q
%patch02 -p1

%build

%configure2_5x \
%if %{with_spell}
 --with-gtkspell
%else
 --without-gtkspell
%endif

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std Productivitydir=%{_datadir}/applications/

%{find_lang} %{name}

# Menu
sed -i -e 's/^\(Icon=.*\).png$/\1/g' %{buildroot}%{_datadir}/applications/pan.desktop 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="News" \
  --add-category="Network" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icon
install -d %{buildroot}/%{_iconsdir}
install -d %{buildroot}/%{_liconsdir}
install -d %{buildroot}/%{_miconsdir}
cp -f %{SOURCE2} %{buildroot}/%{_iconsdir}/%{name}.png
cp -f %{SOURCE3} %{buildroot}/%{_miconsdir}/%{name}.png
cp -f %{SOURCE4} %{buildroot}/%{_liconsdir}/%{name}.png

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS COPYING NEWS
%attr(755,root,root) %{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}




%changelog
* Sun May 27 2012 Neal <nealbrks0 at gmail dot com> 0.139-1pclos2012
- process

* Sun May 27 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.139-1pclos2012
- 0.139
- remove patch3 fixed in source

* Sun May 27 2012 Neal <nealbrks0 at gmail dot com> 0.137-1pclos2012
- process

* Sun May 27 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.137-1pclos2012
- 0.137

* Thu Apr 19 2012 Neal <nealbrks0 at gmail.com> 0.136-1pclos2012
- process

* Thu Apr 19 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.136-1pclos2012
- 0.136
- added german summary and description
- deleted TODO from doc and added NEWS

* Sat Jun 25 2011 Texstar <texstar at gmail.com> 0.135-1pclos2011
- 0.135

* Tue Feb 22 2011 Texstar <texstar at gmail.com> 0.134-1pclos2011
- 0.134

* Mon Oct 19 2009 Texstar <texstar at gmail.com> 0.133-2pclos2010
- rebuild new gcc

* Sat May 30 2009 Texstar <texstar@gmail.com. 0.133-1pclos2009
- 1.33
- rebuild against new gmime and gtk2

* Thu Feb 21 2008 Texstar <texstar@gmail.com> 0.132-4pclos2007
- apply additional patch


